import math

def is_volkomen_kwadraat(x):
    wortel = math.sqrt(x)
    wortel_int = int(wortel)
    return wortel_int * wortel_int == x

def aantal_volkomen_kwadraten_tussen(begin, eind):
    aantal = 0
    for i in range(begin, eind):
        if is_volkomen_kwadraat(i):
            aantal += 1
    return aantal            
            
ondergrens = 100 # hardgecodeerd, om tijd te winnen bij uittesten
bovengrens = 200
print(f"aantal volkomen kwadraten tussen {ondergrens} en {bovengrens} is")
print(f"{aantal_volkomen_kwadraten_tussen(ondergrens, bovengrens)}")            