lonen = [2500.0,2800.0,3000.0]

print(f"voor indexatie: {lonen}")

for loon in lonen:
    loon = loon * 1.04
    
print(f"na mislukte indexatie:   {lonen}")

# eerste versie, niet zo efficiënt: 
nieuwe_lonen = []
for loon in lonen:
    nieuwe_lonen.append(loon*1.04)
lonen = nieuwe_lonen

print(f"na minder efficiënte indexatie: {lonen}")

# tweede versie, efficiënter:

for i in range(len(lonen)):
    lonen[i] = lonen[i] * 1.04 
    
print(f"na efficiënte indexatie (gebaseerd op lonen in vorige uitschrijfopdracht): {lonen}")

