'''
Deze oefening is al een opstap naar het
'algoritmisch denken'. Ze is goed als teaser en om
de leerlingen aan het denken te zetten,
bij voorkeur voor je hen naar huis stuurt.

Geef de leerlingen tijd genoeg om over het probleem na te denken,
en hun punt in helder Nederlands te verwoorden.
Vraag hen ook om 'advocaat van de duivel' te spelen,
en hun eigen of andermans methode onderuit te halen
met een goed (tegen)voorbeeld.
_______________________________________________________

Een 'advocaat van de duivel' haalt die gevallen
uit de kast, die de toehoorder aan het twijfelen brengen.
Een voorbeeld:
als de gegeven lijst [4,2,8,6] is,
en de gesorteerde lijst [2,2,2,2],
dan is de gesorteerde lijst WEL gesorteerd,
maar NIET de gesorteerde versie van de gegeven lijst.
Het is dus niet voldoende om na te kijken of de
gesorteerde lijst inderdaad gesorteerd is.

Er moet dus wel degelijk op één of andere manier 'afgevinkt'
worden of alle getallen uit de gegeven lijst
ook voorkomen in de gesorteerde lijst.

Het is doenbaar om daar een algoritme voor te vinden.

Maar dan is de advocaat van de duivel weer aan zet:
wat als er veel dubbels in de lijst staan?
Wat als de gegeven lijst [8,8,4,8] is,
en de gesorteerde lijst [4,4,8,8]?
Dan kloppen de aantallen weer niet, hoewel
er wel afgevinkt kan worden dat elk getal uit de
gegeven lijst ook voorkomt in de gesorteerde lijst.

Laat de leerlingen hier een nachtje over slapen.
_______________________________________________________

Tot slot maak je deze bedenking:
als het programma een range juist kan sorteren,
dan zal het ook lijsten met veel dubbels juist sorteren.
De beste testcase is dus:
start met een range,
haal die door elkaar
   (aha - dan heb je wel een goed shuffle-programma nodig,
   daarmee staat of valt de rest van de redenering!)
en kijk of de gesorteerde versie weer een range is
(met de juiste grenzen).
'''

