'''
Antwoord:
(a)	while vogels[i] != gezocht and i<len(vogels):
(b)	de waarde van de lijst vogels verandert niet, en len(vogels) dus ook niet;
    de waarde van de variabele gezocht blijft ook ongewijzigd
(c)	enkel de waarde van de variabele i verandert
(d)	deel 1: i = 0 ;   deel 4: i += 1 ; deel 1 zou beter vlak voor deel 2 staan
(e)	deel 3 is leeg (is er dus niet)
(f)	de gezochte vogel raaf staat op index 3 in de lijst
(g)	Programma crasht met de foutmelding "IndexError: list index out of range"
'''

#(h)	
i = 0
while i<len(vogels) and vogels[i] != gezocht:
    i += 1
if i<len(vogels):
    print(f"de gezochte vogel {gezocht} staat op index {i} in de lijst")
else:
    print(f"de gezochte vogel {gezocht} staat niet in de lijst") 

'''
(i)	Lazy evaluation is een manier om een aaneenschakeling van logische
(booleaanse) expressies te evalueren
(om te bepalen of ze 'waar' dan wel 'vals' zijn):
van zodra het eindresultaat met zekerheid gekend is,
wordt er niet verder gekeken naar het vervolg van de uitspraak.
Dit is met name heel makkelijk doenbaar in deze twee gevallen: 
a.	De uitspraak "als a en b" evalueert tot 'vals' van zodra uitspraak a vals is.
b.	De uitspraak "als a of b" evalueert tot 'waar' van zodra uitspraak a waar is. 
In beide situaties doet de waarde van de uitspraak van b er niet meer toe.
'''
