def aantal_letters_uit(te_overlopen_woord, te_vinden_letters):
    aantal = 0
    for letter in te_overlopen_woord:
        if letter in te_vinden_letters:
            aantal += 1
    return aantal

def aantal_klinkers(woord):
    return aantal_letters_uit(woord, "aeiou")

def aantal_medeklinkers(woord):
    return aantal_letters_uit(woord, "bcdfghjklmnpqrstvwxyz")

def bevat_1_klinker_en_1_medekl(woord):
    return aantal_klinkers(woord) > 0 and aantal_medeklinkers(woord) > 0

def bevat_enkel_klinkers(woord):
    return len(woord)>0 and len(woord) == aantal_klinkers(woord)

def langste_staart(woord_a, woord_b):
    if woord_a[-1] != woord_b[-1]:
        return ""    
    index = -1
    kortste_lengte = min(len(woord_a), len(woord_b))
    while(index >= -kortste_lengte and woord_a[index] == woord_b[index]):
        index -= 1
    return woord_a[index+1:]    

def zijn_rijmwoorden(woord_a, woord_b):
    staart = langste_staart(woord_a, woord_b)
    print(f"..........{staart}!")
    return bevat_enkel_klinkers(staart) or bevat_1_klinker_en_1_medekl(staart)
    
print(langste_staart("oei","foei"))
print(langste_staart("regen","zegen"))
print(langste_staart("proberen","genereren"))
print(langste_staart("paf","puf"))
print(langste_staart("appel","boom"))
print("STOP")


woorden_a = ["nieuw","duosprong","mengelmoes","papegaai","toccata","climax","mis","gedonder"]
woorden_b = ["kieuw","pingpong","assepoes","hamerhaai","chipolata","tenorsax","poes","oplawaai"]

for i in range(len(woorden_a)):
    a = woorden_a[i] # hier worden hulpvariabelen gebruikt 
    b = woorden_b[i] # om de regel met de print-opdracht niet nodeloos onleesbaar te maken
    print(f"{a} en {b} rijmen: {zijn_rijmwoorden(a,b)}")



